import { Document, Schema, model } from 'mongoose';
import { ScoreInterfaceRaw } from '.';

export interface ScoreHistoricalRaw {
  userID: string,
  report: ScoreInterfaceRaw,
  date: Date,
}

export interface ScoreHistoricalInterface extends Document {
  userID: string,
  report: ScoreInterfaceRaw,
  date: Date
}

const ScoreHistorical: Schema = new Schema({
  userID: String,
  report: Object,
  date: Date,
});

export default model<ScoreHistoricalInterface>('ScoreHistorical', ScoreHistorical);
