/* eslint-disable no-unreachable */
import { Message } from 'eris';
import { Client, Event, LocalStorage } from '../class';

export default class Training extends Event {
  public client: Client;

  public storage: LocalStorage;

  constructor(client: Client) {
    super(client);
    this.event = 'messageCreate';
    this.storage = new LocalStorage('training');
  }

  public async run(message: Message) {
    return;
    try {
      if (message.channel.id !== '485680288123584525') return;
      await this.storage.set(message.id, {
        content: message.content,
        date: new Date(),
        score: -1,
      });
    } catch (err) {
      this.client.util.handleError(err, message);
    }
  }
}
