import { Document, Schema, model } from 'mongoose';

export interface NNTrainingDataInterface extends Document {
  name: string,
  data: [{ input: any, output: object }];
}

const NNTrainingData: Schema = new Schema({
  name: String,
  data: Array,
});

export default model<NNTrainingDataInterface>('NNTrainingData', NNTrainingData);
